Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Problemy z Gecko Tumbleweed ...  (Przeczytany 1532 razy)

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Problemy z Gecko Tumbleweed ...
« dnia: Grudzień 13, 2018, 08:26:56 am »
... mam 2.
Pierwszym była aktualizacja - przez dłuższy czas system nie aktualizował się wcale, doczytałem na forum i w dokumentacji, że należy zmienić repozytoria w Yast (u mnie to się nawet nie tyle zmieniło, tylko dodało repozytorium dla Leap15 jako główne - no właśnie, a mam przecież Tumbleweed - ale piszą jednoznacznie żeby ono było!) i w konsoli zaktualizować system zypperem. Tak zrobiłem i poszło - system jest aktualny, wypiękniał, a jakże, ale cały czas 2 problemy.
Pierwszy jest ten sam co przed aktualizacją - nic nie mogę spolszczyć w systemie, wrzucanie w zakładkę językową polskiego nie pomaga, znalezienie pakietów polskich dla Firefoxa i Thunderbirda w repozytoriach jest niemożliwe (dla LibreOffice i Gparted pewnie też, ale nie szukałem - przyznaję się).
Drugi temat wyszedł przykrzejszy - po aktualizacji Yast się co prawda otwiera, ale nic nie mogę w nim zrobić, dostać się do żadnej zakładki - repozytoria, aktualizacja, języki, dane systemu - nic, wszystko martwe. Jak z tego wybrnąć?
Pozdrawiam, generalnie dystrybucja wyglądała na miłą, a tu drobna przykrość ...

Offline TataPingu

  • Hero Member
  • *****
  • Wiadomości: 1063
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #1 dnia: Grudzień 13, 2018, 09:23:32 am »
Od dawna nie używam już SUSE, ale z tego, co pamiętam, YASTa możesz również używać w niegraficznym trybie...
- kiedyś było to możliwe...

Spróbuj w terminalu:

sudo yast
ewentualnie,

sudo -s
i

yast

Jeśli jeszcze to działa, to graficznego YASTa można było również startować z terminala komendą:

sudo yast2
« Ostatnia zmiana: Grudzień 13, 2018, 09:26:14 am wysłana przez TataPingu »

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 887
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #2 dnia: Grudzień 13, 2018, 11:08:07 am »
Jakieś pomieszanie z poplątaniem. Gecko ma dwie linie: Stable, która jest oparta o Leap oraz Rolling oparte o Tumbleweed. W zależności od co w istocie miałeś zainstalowane oraz kiedy tę instalkę robiłeś, to jeśli miałeś Stable, to mogło ono być nawet na 42.3 i wówczas w istocie aktualizacji obecnie albo nie będzie, albo mało. Jeśli oparte o 15 to również może się zdarzyć, że tych aktualizacji w określonym czasie nie będzie.
Załóżmy jednak, że miałeś wersję Rolling. Tutaj repozytoria są wprost do Tumbleweed. Nie ma czego zmieniać, bo już one są. Aktualizacje są lub nie w zależności od tego, czy w Zuśce je zrobią.
Teraz Twoje kłopoty. Otóż jeśli miałeś wersję Rolling, a dodałeś obecnie Leap 15, następnie dokonałeś jakiejś "aktualizacji" to zrobiłeś coś, czego żadna dystrybucja typu rolling release nie lubi - częściową aktualizację. Paczki, które obecnie masz zainstalowane prawdopodobnie w części są zbudowane na wersjach zależności w Leap, w części w Tumbleweed. Taki system nie ma prawa działać poprawnie.
Wyjściem jest w każdym przypadku edycja repozytoriów i ich doprowadzenie do odpowiedniego stanu, czyli takiego, w którym repozytoria będą pochodzić z jednej gałęzi albo Leap, albo Tumbleweed. Decydując się na pierwsze rozwiązanie musisz jeszcze dokonać praktycznie przeinstalowania wszystkich paczek zainstalowanych w systemie, tak by doprowadzić go do stanu, w którym zainstalowane paczki pochodzą wyłącznie z Leap. W drugim przypadku powinna wystarczyć wyłącznie aktualizacja, aczkolwiek również zaleciłbym Ci przeinstalowanie wszystkich paczek, bowiem nie wiadomo jakie paczki z Leap masz zainstalowane, a mogą one być w tej samej wersji co w Tumbleweed, jednakże mogą być zbudowane na innych zależnościach.
Skoro graficzny YaST Ci nie działa, to masz do wyboru albo opcję zaproponowaną wyżej przez @TataPingu albo posłużenie się zypperem. Wpierw jednak - doprowadzenie repozytoriów do stanu używalności. Prawdopodobnie poprzez bezpośrednią edycję pliku dowolnym edytorem tekstu.

Prawdopodobnie inne wpisy są prawidłowe, trzeba zmienić wyłącznie ścieżki do odpowiedniej wersji. Lista jest tu: https://en.opensuse.org/Package_repositories
« Ostatnia zmiana: Grudzień 13, 2018, 11:12:02 am wysłana przez pavbaranov »

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #3 dnia: Grudzień 13, 2018, 11:13:02 am »
Ok dziękuję za wyjaśnienie, spróbuję dziś usunąć Leap z repozytoriów i zazyperować system.
Dziekuję i pozdrawiam, źle zrozumiałem jak widać instrukcję na stronie Gecko, jakoś głupio to opisali.

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #4 dnia: Grudzień 13, 2018, 08:04:55 pm »
Nie mogę wywalić tego Leap z Yasta. Próbowałem nawet  w wersji konsolowej, ale nie moge go zaznaczyć, pokazuje tylko pierwszą linijke. Wgrałbym gnome commandera, i usuną ł z pliku textowego, ale on też nie chce się zainstalować. Cholera!

Offline TataPingu

  • Hero Member
  • *****
  • Wiadomości: 1063
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #5 dnia: Grudzień 13, 2018, 08:18:31 pm »
@ciubaka
Sciągnij sobie iso PartedMagic, czy Knoppixa, przygotuj DVD, czy USB i wystartuj z któregoś z nich...
- masz dostęp (jako root) do wszystkiego co jest na HDD

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 887
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #6 dnia: Grudzień 13, 2018, 08:47:55 pm »
@TataPingu - A po cholerę?
@ciubaka - O ile pamiętam, to plik ze źródłami do repozytorium Zuśki jest to "normalny" plik tekstowy, który możesz edytować jakimkolwiek edytorem tekstu (oczywiście z prawami roota). To wystarczy, by zmienić repozytoria.

Offline TataPingu

  • Hero Member
  • *****
  • Wiadomości: 1063
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #7 dnia: Grudzień 13, 2018, 10:15:58 pm »
@pavbaranov
- bo zauważ Kolego, co Ciubaka pisze:

"Wgrałbym gnome commandera, i usuną ł z pliku textowego, ale on też nie chce się zainstalować. Cholera!"
- więc wnioskuję, że ma problemy z dostępem z poziomu roota

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 887
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #8 dnia: Grudzień 13, 2018, 10:38:23 pm »
Nie - on ma problemy z instalacją czegokolwiek z uwagi na skopane repozytoria. Myślę, że w systemie ma jakikolwiek edytor tekstu. Jeśli nie, to i tak się da poukładać repozytoria bez chroota itp.

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #9 dnia: Grudzień 14, 2018, 08:09:24 am »
Panowie, spokojnie, ja niestety jestem laikiem i chociaż popróbowałem paru rzeczy i paru się nauczyłem, to nadal mam problem z konsolą. Po prostu, wstyd przyznać, nie wiem jak się zalogować jako root i jak potem wywalić tą nadmiarową linijkę z repozytoriów. Gnome commanderem się w Mincie nauczyłem szybciutko, ale tu nie mogę go wgrać. Wiem gdzie mam listę repo w systemie, otwiera się, ale oczywiście nie mogę jej skorygować z poziomu okienek. Pewnie się to jakoś robi w konsoli, ale tego do diaska wciąż nie umiem (nano? leafpad? cośtam?). Udaje mi się wchodzić w tryb konsolowy do Yasta, i tam to listy repo, ale znowu - nic nie można usunąć, ponadto działa się tylko na pierwszym repo od góry, klawisze strzałek nie działają. Godzinę wczoraj walczyłem jak syn był na treningu i kupa. Czasu w domu brak, w robocie to sobie mogę forum linuxiarzy na szybko przejrzeć ...

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 887
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #10 dnia: Grudzień 14, 2018, 09:24:06 am »
I znów zaczynamy rozmawiać o absolutnych podstawach:
1. Jeśli jest w systemie sudo oraz użytkownik ma te uprawnienia:
sudo edytor_tekstu /ścieżka/do/plikuhttps://pl.wikipedia.org/wiki/Sudo :)
Po zakończonej edycji trzeba wpisać jeszcze:
exit2. Jeśli nie można skorzystać z sudo:
su
edytor_tekstu /ścieżka/do/pliku
Po edycji - exit3. Jeśli graficzny edytor tekstu może współpracować z polkit, po prostu edycja takiego pliku, potem przy zapisie edytor będzie się domagał od użytkownika hasła root.
4. Być może w systemie jest zainstalowane np. gksu/gksudo - wówczas graficzny edyor tekstu poprzedzony takim wywołaniem również umożliwi edycję z podwyższonymi uprawnieniami.

Dla Twojego bezpieczeństwa, wrzuciłbym tu treść pliku, który chcesz edytować i napisał co chcesz zmienić, albowiem skoro podstaw obsługi Ci brak, to nie jestem przekonany, że bardziej zaawansowaną czynność wykonasz poprawnie. A potem będzie płacz i... :)

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #11 dnia: Grudzień 17, 2018, 10:21:27 pm »
Tak się nie udało, ale wywaliłem repozytorium Leap komendą zypper rr nazwa repo. Zobaczymy co dalej. Repo znikło z listy, teraz spróbuję aktualizować system powtórnie. Generalnie zrobiłem sobie krzywdę tamtą aktualizacją. Gparted na przykład nie działa. Dziwy takie.

Offline TataPingu

  • Hero Member
  • *****
  • Wiadomości: 1063
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #12 dnia: Grudzień 18, 2018, 08:41:45 am »
Gparted na przykład nie działa.

W pierwszym rzędzie zaktualizuj repozytoria:

sudo zypper refresh
potem:

sudo zypper dist-upgrade
i:

sudo zypper install-new-recommends
następnie możesz jeszcze:

sudo zypper patch
A propos likwidacji pojedyńczych repozytoriów wystarczy w terminalu (np nr. 3) :

sudo zypper removerepo 3

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #13 dnia: Grudzień 18, 2018, 08:56:18 am »
Removerepo - właśnie tak kasowałem  wgrany omyłkowo Leap. Dziękuję za wskazówki  do aktualizacji, zastosuję się.

Offline ciubaka

  • Full Member
  • ***
  • Wiadomości: 151
Odp: Problemy z Gecko Tumbleweed ...
« Odpowiedź #14 dnia: Grudzień 19, 2018, 07:32:26 pm »
Dziękuję za pomoc, podziałało.
Nawet się Yast spolszczył.
A druga prośba - jak spolszczyć dodawane oprogramowanie - Firefox, Thunderbird, Gparted?
Bo to nadal nie działa i nie wiem jak znaleźć oraz dograć pakiety - w Yast się nie wyświetlają.
Podrawiam.